"""
$RCSfile: ICVSFile.py,v $

CVSFile encapsulates a file in a CVS sandbox for use as a Zope
object.  ICVSFile is the interface implemented by CVSFile.

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""

__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2002/02/17 20:40:56 $'[6:-2]
__version__ = '$Revision: 1.1 $'[10:-2]

# Zope Base Classes
from Interface import Base
from Products.ExternalFile.IExternalFile import IExternalFile

################################################################
# IExternalFile interface
################################################################

class ICVSFile(Base, IExternalFile):
    """
    
    Encapsulates a file in CVS, a sandbox-oriented version control
    system, as a Zope object.  The idea is that eventually this could
    be implemented in terms of other sandbox-oriented version control
    systems such as Subversion or Clearcase, at which time it would be
    refactored and renamed as appropriate.

    """

    def findRegistry(self):
        """

        Find an instance of xxxSandboxRegistry to obtain sandbox
        information.

        """

    def getCurrentSandbox(self, REQUEST):
        """

        Convenience function for getting the current sandbox from the
        sandbox registry

        """

    def updateFile(self, si):
        """

        Perform an update on the sandbox file pointed to by this
        object, using the sandbox information from the SandboxInfo
        parameter.

        """

    def revertFile(self, filepath, si):
        """

        Remove the sandbox version of the file pointed to by this
        object, then perform an update and pass the output back to the
        form.  This is used to throw away any non-checked in changes
        to the file.  Retrieve sandbox information from the passed-in
        SandboxInfo parameter.

        """

    def commitFile(self, si, commitMessage, userName):
        """

        Perform a commit on the sandbox file pointed to by this
        object.  This will submit local changes to the central
        repository.  Retrieve sandbox information from the passed-in
        SandboxInfo parameter.  Include the passed in username in the
        commit message, because otherwise there would be no way to
        distinguish whodunit, because all userids are the same, namely
        the userid under which the Zope server was started.

        """
