"""
$RCSfile: __init__.py,v $

The CVSFile package is a Zope product.  CVSFile allows one to use
CVS as a version control system for Zope content, by pointing to a
file in the developer's local CVS sandbox.

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""
__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2002/02/15 20:28:09 $'[6:-2]
__version__ = '$Revision: 1.14 $'[10:-2]

import CVSFile, CVSSandboxRegistry

from CVSSandboxRegistry import manage_addCVSSandboxRegistryForm, manage_addCVSSandboxRegistry

from CVSFile import create_cvsregistry_formpart, create_cvssandbox_formpart, \
     manage_addCVSFileForm, manage_addCVSFile, create_object, create_file, \
     findCVSSandboxRegistry

from Products.ExternalFile.ExternalFile import getHostname, confirm_create_form, \
     confirm_create_action, conflict_create_form, create_standard_formpart, \
     create_externalfile_formpart

def initialize(context):
    """
    
    Initialize the CVSFile product.  This makes the object appear
    in the Zope product list menu.  initialize() is called by Zope
    when starting a Zope server.

    """

    try:
        context.registerClass(CVSFile.CVSFile,  # register this class in Zope
                              constructors = (
            manage_addCVSFileForm,    # called when someone adds product to a folder
            create_cvsregistry_formpart,
            create_cvssandbox_formpart,            
            create_externalfile_formpart,
            create_standard_formpart,
            findCVSSandboxRegistry,
            manage_addCVSFile,
            confirm_create_form,
            conflict_create_form,
            confirm_create_action,
            create_object,
            create_file,
            getHostname),
                              icon = 'www/fish.gif'
                              )

        context.registerClass(CVSSandboxRegistry.CVSSandboxRegistry,  # register this class in Zope
                              constructors = (
            manage_addCVSSandboxRegistryForm,    # called when someone adds product to a folder
            manage_addCVSSandboxRegistry),
                              icon = 'www/fish.gif'
                              )

        context.registerHelp()
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
